<%@ Page aspcompat=true language = "JavaScript" %>
<%
    // $Id$
    // http-->https Proxy naar FACILITOR flexwhere koppeling

    // Inrichting: plaats dit bestand op een webserver welke door de PLC's te benaderen is
    // Laat de PLC's dit bestand aanroepen in plaats van rechtstreeks de FACILITOR https server

    // var target = "https://uwva-a.facilitor.nl/api2/objects.json?plugin=flexwhere"; // acceptatie
    var target = "https://uwva.facilitor.nl/api2/objects.json?plugin=flexwhere"; // productie

    var http_request = Server.CreateObject("WinHTTP.WinHTTPRequest.5.1");
    http_request.open("PUT", target, false); // Synchroon
    http_request.setRequestHeader("X-FACILITOR-API-Key","liimJGLXeKhJVgZzeBOZifpacpUQhDPZ");
    var jvraag = BytesToStr(Request.BinaryRead(Request.TotalBytes));
    http_request.send(jvraag);

    Response.Status = http_request.Status + " " + http_request.StatusText;
    Response.Write(http_request.ResponseText);
    Response.End;

function BytesToStr(bytes)
{
    var stream = Server.CreateObject("ADODB.Stream");
    stream.type = 1;
    stream.open;
    stream.write(bytes);
    stream.position = 0;
    stream.type = 2; // Text
    stream.charset = "utf-8";

    var sOut = stream.readtext();
    stream.close;
    return sOut;
}
%>